This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 835312 - Apache httpd VirtualHost ServerName value should be used for resource's name in inventory
Apache httpd VirtualHost ServerName value should be used for resource's name ...
Status: ON_QA
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2
All All
medium Severity medium (vote)
: ---
: RHQ 4.13
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 837449 1127874
  Show dependency treegraph
 
Reported: 2012-06-25 19:36 EDT by Marc Shirley
Modified: 2014-10-31 05:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 837449 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Shirley 2012-06-25 19:36:14 EDT
Description of problem:
When importing an Apache httpd virtual host which has a ServerName value which is not resolvable back to an interface on the local machine, the hostname or IP of the local machine is used instead of the ServerName value.  For an httpd instance with multiple virtual hosts with unresolvable ServerName values, this results in virtual host resources that are only identifiable by the port number in the resource name, or by manually inspecting each resource for the ServerName value recorded in the resource key.

Version-Release number of selected component (if applicable):
JON 3.0.1

How reproducible:
Very

Steps to Reproduce:
1. Add virtual host section to httpd.conf with unresolvable ServerName value:
Listen 8080
<VirtualHost *:8080>
        ServerName myunresolvablehost:8080
</VirtualHost>

2. Start httpd instance
3. Run discovery in agent to pick up "myunresolvablehost" ('discovery -f' if httpd instance is already in inventory
4. Navigate to httpd's virtual host children
5. Identify the newly added virtual host resource
  
Actual results:
Resource name is the local machine's hostname or IP address in format "hostname:8080"

Expected results:
Resource name should be referencing the value of the ServerName directive of the virtual host configuration.  For example, "myunresolvablehost:8080".
Comment 1 Jay Shaughnessy 2013-09-12 11:17:00 EDT
re-targeting for 4.10.  See lkrejci's comments in Bug 837449.
Comment 2 Heiko W. Rupp 2014-03-11 10:52:20 EDT
Pushing to 4.11
Comment 3 Heiko W. Rupp 2014-05-08 10:42:39 EDT
Bump the target version now that 4.11 is out.
Comment 4 Lukas Krejci 2014-10-31 05:07:34 EDT
Fixed by BZ 837449

Note You need to log in before you can comment on or make changes to this bug.